/*禁止选择任何元素*/
/** {*/
/*    -webkit-user-select: none; !* Safari *!*/
/*    -moz-user-select: none; !* Firefox *!*/
/*    -ms-user-select: none; !* IE10+/Edge *!*/
/*    user-select: none; !* 标准语法 *!*/
/*}*/

/*锚点被顶部导航栏遮住解决方案*/
/*设置滚动条高度为导航栏高度*/
html{
    scroll-padding-top: 78px;
}

body {
    margin: 0;
    padding: 0;
    font-family: "PingFang SC", "Microsoft YaHe", 'Microsoft YaHei UI', 'WenQuanYi Micro Hei', 'Arial', 'sans-serif', \5b8b\4f53;
    overflow: hidden;
    min-width: 1500px;
}

/* 懒加载图片 */
#backup {
    width: 200px;
    height: 200px;
    padding: 10px;
    position: relative;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    align-items: center;
    justify-content: center;
    color: #ccc;
    cursor: pointer;
    transition: 0.3s linear;
}
.loader-17 {
    width: 48px;
    height: 48px;
    border-radius: 50%;
    display: inline-block;
    border-top: 3px solid #999;
    border-right: 3px solid transparent;
    -webkit-animation: rotation 1s linear infinite;
    animation: rotation 1s linear infinite;
}
@keyframes rotation {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

/*导航栏*/
.headerBox {
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1000; /* 设置一个较高的z-index确保标题栏显示在其他元素之上 */
    margin: 0px;
    text-align: center;
    /*animation: dropdownAnimation 0.2s ease-in-out;*/
    transition: all 0.3s linear;
}

.headerBox2 {
    transform: translateY(-100%)
}

/*@keyframes dropdownAnimation {*/
/*    0% {*/
/*        margin-top: -40px;*/
/*    }*/
/*    25% {*/
/*        margin-top: -30px;*/
/*    }*/
/*    50% {*/
/*        margin-top: -20px;*/
/*    }*/
/*    75% {*/
/*        margin-top: -10px;*/
/*    }*/
/*    100% {*/
/*        !* 动画结束时的样式 *!*/
/*        margin-top: 0px;*/
/*    }*/
/*}*/

.headerBackground {
    position: fixed;
    /*padding: 5px 25px;*/
    background-color: rgba(255, 255, 255, 0);
    z-index: -1;
    border-bottom: 1px solid rgba(255,255,255,.1);
    height: 78px;
    width: 100%;
}

.headerBackground.black {
    background-color: rgb(255, 255, 255);
    border-bottom-color: gray;
}

.header-container {
    display: flex;
    padding: 5px 25px;
    justify-content: center;
}

.header-container.black .drop-top-toggle {
    color: rgba(0,0,0,0.98);
}

.drop-top-toggle {
    display: block;
    font-size: 15px;
    line-height: 10px;
    margin: 15px 15px;
    padding: 10px 10px;
    border-radius: 3px;
    width: 94px;
    color: rgb(255, 255, 255);
    text-decoration: none;
}

.arrow::after {
    content: "\25BC";
    font-size: 9px;
}

.arrow.white::after{
    color: rgb(255, 255, 255);
}

.drop-top-empty{
    margin: 20px 20px;
    padding: 5px 5px;
}

.QRCode-container {
    width: 140px;
}

.vx-border {
    margin: 10px 46px 0px;
    height: 35px;
    width: 35px;
    border: 1px solid rgba(0, 0, 0, 0.98);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.vx-border.white {
    border: 1px solid rgb(255, 255, 255);
}

.QRCode {
    display: none;
    margin-top: 10px;
}

#QRCode-img {
    width: 140px;
}

.hover-color {
    background-color: #4589fa;
    transition: background 0.2s ease-in-out;    /*背景色渐变*/
}

.dropdown-content {
    display: none;
    border-radius: 4px;
    background-color: #36363a;
    animation: dropdownContentAnimation 0.2s ease-in-out;
}

.dropdown-content a {
    border-radius: 3px;
    color: rgb(255, 255, 255);
    padding: 12px 16px;
    text-decoration: none;
    display: block;
}

/*菜单动画效果*/
@keyframes dropdownContentAnimation {
    0% {
        margin-top: 80px;
    }
    25% {
        margin-top: 60px;
    }
    50% {
        margin-top: 40px;
    }
    75% {
        margin-top: 20px;
    }
    100% {
        /* 动画结束时的样式 */
        margin-top: 0px;
    }
}

/*导航栏结束*/

/*页面路径*/
.page-path {
    position: relative;
    margin-top: 77px;
    background: #f7f7f7;
    z-index: 500;
}

.page-path .content {
    padding: 15px 0;
    color: #999;
    width: 75%;
    margin: auto;
}

.page-path .content a {
    font-size: 12px;
    color: #999999;
    text-decoration: none;
    transition: all .4s ease;
}

/*页脚*/
.footerContentBox {
    position: relative;
    z-index: 999;
    padding-top: 50px;
    padding-bottom: 60px;
    background-color: #36363a;
}

.inner-container {
    display: flex;
    width: 1400px;
    height: 100%;
    margin: 0 auto;
    padding: 0 20px;
}

.footer-page-left{
    width: 29%;
}

.company-icon {
    width: 71%;
}

p {
    margin: 0 0 10px;
    white-space: normal;
}

.footer-page-left img {
    margin-bottom: 20px;
}

.footer-page-left p {
    line-height: 20px;
    color: white;
}

.footer-page-right{
     width: 70%;
     display: flex;
     text-align: center;
 }

.footer-content-container {
    flex: 1;
}

.footer-content-container a {
    display: block;
    text-decoration: none;
    margin-top: 17px;
}

.footer-content-title {
    font-size: 17px;
    color: white;
    border-bottom: 1px white solid;
}

.footer-content {
    font-size: 14px;
    color: rgb(145, 145, 145);
}

.bold-font {
    font-weight: 700;
}

/*页脚结束*/

/*中间栏*/
.middleContentBox {
    top: -128px;
    /*margin-top: 78px;*/
}

.middleContentBox2 {
    position: relative;
    width: 100%;
    height: 100vh;
    padding: 0;
    top: -40px;
}

/*置顶按钮*/
.upward {
    position: fixed;
    right: 20px;
    bottom: 100px;
    z-index: 1000;
    width: 100px;
    height: 100px;
    box-shadow: 18px 18px 30px rgba(0,0,0,0.1), -18px -18px 30px rgba(255,255,255,0.1);
    border-radius: 50%;
    display: none;
    align-items: center;
    justify-content: center;
    background: #efeeee;
    transition: box-shadow .2s ease-out;
    cursor: pointer;
}

.upward img {
    width: 40px;
    transition: width .2s ease-out;
}

.upward:hover{
    box-shadow: 0 0 0 rgba(0,0,0,0.1),
    0 0 0 rgba(255,255,255,1),
    inset 18px 18px 30px rgba(0,0,0,0.1),
    inset -18px -18px 30px rgba(255,255,255,1);
    /*内嵌投影值*/
    transition: box-shadow .2s ease-out;
}
.upward:hover img{
    width: 35px;
    transition: width .2s ease-out;
}

/*翻转卡片样式*/
section{
    margin-top: 30px;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    transform-style: preserve-3d;
    width: 100%;
    padding-bottom: 80px;
}

.coreTitle {
    text-align: center;
    top: 128px;
    position: relative;
    margin-bottom: 0px;
    margin-top: 10px;
    font-size: 40px;
}

section .card{
    position: relative;
    width: 60vh;
    height: 60vh;
    margin: 20px;
    transform-style: preserve-3d;
    perspective: 1000px;
}
section .card .box{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transform-style: preserve-3d;
    transition: 1s ease;
}
section .card:hover .box{
    transform: rotateY(180deg);
}
section .card .box .imgBx{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
section .card .box .imgBx img{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    box-shadow: -7px 7px 10px  rgba(0, 0, 0, .6);
}
section .card .box .contentBx{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #333;
    backface-visibility: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    transform-style: preserve-3d;
    transform: rotateY(180deg);
}
section .card .box .contentBx .card-back{
    transform-style: preserve-3d;
    padding: 20px;
    background: linear-gradient(45deg, #333, rgba(0, 0, 0, 0.28));
    transform: translateZ(100px);
}
section .card .box .contentBx div h2{
    color: #fff;
    font-size: 20px;
    letter-spacing: 1px;
}
section .card .box .contentBx div p{
    color: #fff;
    font-size: 16px;
}

.card-button-top {
    position: absolute;
    right: 10px;
    top: 5px;
    z-index: 99999;
}

/*内容页面盒子*/
.main-box-2 {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 50px;
}

.main-box-2.vertical {
    flex-direction: column;
}

.main-box-2 img {
    height: 80vh;
    width: 100vh;
    border-radius: 16px;
    box-shadow: 0px 15px 10px  rgba(0, 0, 0, .6);
}

.main-box-2 .employeeImg {
    margin-top: 24px;
    width: 1200px;
    height: 720px;
}

.main-box-2 .box-right {
    position: relative;
    left: 60px;
    height: 200px;
    width: 640px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    gap: 24px;
}

.main-box-2 .box-top {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 24px;
}

.main-box-2 .box-title {
    text-align: center;
    font-size: 48px;
    font-weight: 700;
}

.main-box-2 .box-content {
    font-size: 18px;
    font-weight: 400;
}

/*联系我们*/
.contactUs {
    padding: 120px 0;
}

.contactUs h2 {
    text-transform: uppercase;
    font-size: 42px;
    line-height: 60px;
    margin: 0 0 20px 0;
    color: #1a1a1a;
}

.contactUs .line {
    width: 80px;
    height: 4px;
    background: #1c487f;
    margin: 10px 0;
}

.contactUs h4 {
    font-size: 16px;
    line-height: 24px;
    color: #666;
}

.forms {
    margin: 40px;
    display: flex;
    justify-content: center;
    gap: 100px;
}

/*地图*/
#container {
    width: 700px;
    height: 320px;
}

.BMap_cpyCtrl {
    display: none;
}

/*背景图*/
.background2 {
    background-image: url(../img/background2.jpg)
}

.background3 {
    background-image: url(../img/backgroundImg.jpg)
}

/*纸飞机按钮*/
.button {
    --primary: #275EFE;
    --primary-dark: #2055EE;
    --primary-darkest: #133FC0;
    --text: #FFFFFF;
    --text-opacity: 1;
    --success: #2B3044;
    --success-scale: .2;
    --success-opacity: 0;
    --border-radius: 7;
    --overflow: hidden;
    --rotate: 0;
    --plane-x: 0;
    --plane-y: 0;
    --plane-opacity: 1;
    --left-wing-background: var(--primary);
    --left-wing-first-x: 0;
    --left-wing-first-y: 0;
    --left-wing-second-x: 50;
    --left-wing-second-y: 0;
    --left-wing-third-x: 0;
    --left-wing-third-y: 100;
    --left-body-background: var(--primary);
    --left-body-first-x: 50;
    --left-body-first-y: 0;
    --left-body-second-x: 50;
    --left-body-second-y: 100;
    --left-body-third-x: 0;
    --left-body-third-y: 100;
    --right-wing-background: var(--primary);
    --right-wing-first-x: 50;
    --right-wing-first-y: 0;
    --right-wing-second-x: 100;
    --right-wing-second-y: 0;
    --right-wing-third-x: 100;
    --right-wing-third-y: 100;
    --right-body-background: var(--primary);
    --right-body-first-x: 50;
    --right-body-first-y: 0;
    --right-body-second-x: 50;
    --right-body-second-y: 100;
    --right-body-third-x: 100;
    --right-body-third-y: 100;
    display: block;
    cursor: pointer;
    position: relative;
    border: 0;
    padding: 8px 0;
    min-width: 100px;
    height: 40px;
    text-align: center;
    margin: 0;
    line-height: 24px;
    font-family: inherit;
    font-weight: 500;
    font-size: 14px;
    background: none;
    outline: none;
    color: var(--text);
    transform: rotate(calc(var(--rotate) * 1deg)) translateZ(0);
    -webkit-appearance: none;
    -webkit-tap-highlight-color: transparent;
}

.button .left,
.button .right {
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    opacity: var(--plane-opacity);
    transform: translate(calc(var(--plane-x) * 1px), calc(var(--plane-y) * 1px)) translateZ(0);
}

.button .left:before, .button .left:after,
.button .right:before,
.button .right:after {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    border-radius: calc(var(--border-radius) * 1px);
    transform: translate(var(--x, 0.4%), var(--y, 0)) translateZ(0);
    z-index: var(--z-index, 2);
    background: var(--background, var(--left-wing-background));
    -webkit-clip-path: polygon(calc(var(--first-x, var(--left-wing-first-x)) * 1%) calc(var(--first-y, var(--left-wing-first-y)) * 1%), calc(var(--second-x, var(--left-wing-second-x)) * 1%) calc(var(--second-y, var(--left-wing-second-y)) * 1%), calc(var(--third-x, var(--left-wing-third-x)) * 1%) calc(var(--third-y, var(--left-wing-third-y)) * 1%));
    clip-path: polygon(calc(var(--first-x, var(--left-wing-first-x)) * 1%) calc(var(--first-y, var(--left-wing-first-y)) * 1%), calc(var(--second-x, var(--left-wing-second-x)) * 1%) calc(var(--second-y, var(--left-wing-second-y)) * 1%), calc(var(--third-x, var(--left-wing-third-x)) * 1%) calc(var(--third-y, var(--left-wing-third-y)) * 1%));
}

.button .left:after {
    --x: 0;
    --z-index: 1;
    --background: var(--left-body-background);
    --first-x: var(--left-body-first-x);
    --first-y: var(--left-body-first-y);
    --second-x: var(--left-body-second-x);
    --second-y: var(--left-body-second-y);
    --third-x: var(--left-body-third-x);
    --third-y: var(--left-body-third-y);
}

.button .right:before {
    --x: -.4%;
    --z-index: 2;
    --background: var(--right-wing-background);
    --first-x: var(--right-wing-first-x);
    --first-y: var(--right-wing-first-y);
    --second-x: var(--right-wing-second-x);
    --second-y: var(--right-wing-second-y);
    --third-x: var(--right-wing-third-x);
    --third-y: var(--right-wing-third-y);
}

.button .right:after {
    --x: 0;
    --z-index: 1;
    --background: var(--right-body-background);
    --first-x: var(--right-body-first-x);
    --first-y: var(--right-body-first-y);
    --second-x: var(--right-body-second-x);
    --second-y: var(--right-body-second-y);
    --third-x: var(--right-body-third-x);
    --third-y: var(--right-body-third-y);
}

.button span {
    display: block;
    position: relative;
    z-index: 4;
    opacity: var(--text-opacity);
}

.button span.success {
    z-index: 0;
    position: absolute;
    left: 0;
    right: 0;
    top: 8px;
    transform: rotate(calc(var(--rotate) * -1deg)) scale(var(--success-scale)) translateZ(0);
    opacity: var(--success-opacity);
    color: var(--success);
}

/*输入框*/
.content-form {overflow: hidden;width: 700px}
.content-form li{list-style: none;margin: 0 0 10px 0;padding: 0;font-size: 0;}
.content-form li .input2 {border: 1px solid #ededed;background: #f5f5f7;padding: 10px 20px;width:50%;height:60px;font-size: 14px;font-weight: normal;box-sizing: border-box;}
.content-form li .input2:first-child {margin-right: 1%;width:49%;}
.content-form li .textarea1 {color: black;font-weight: bold;width:100%;height:130px;font-size: 14px;border: 1px solid #ededed;background: #f5f5f7;padding: 20px 20px;box-sizing: border-box;}
.content-form li .input2[type="text"] {color: black;font-weight: bold}
input.input1 {color: black;font-weight: bold}
/* 输入框默认字颜色 */
.placeholder-color {  
    color: #ff9191; /* 默认placeholder颜色 */  
}  
.placeholder-color::-webkit-input-placeholder {  
    color: #ff9191; /* webkit浏览器下默认placeholder颜色 */  
}  
.placeholder-color::-moz-placeholder {  
    color: #ff9191; /* firefox浏览器下默认placeholder颜色 */  
}  
.placeholder-color:-moz-placeholder {  
    color: #ff9191; /* 老式firefox浏览器下默认placeholder颜色 */  
}  
.placeholder-color:-ms-input-placeholder {  
    color: #ff9191; /* ie浏览器下默认placeholder颜色 */  
}

/* 鼠标提示图标 */
.mouse-left-click {
    position: absolute;
    top: -10px;
    left: 65%;
    width: 70px;
    height: 70px;
    animation: moveImage 3s infinite ease-in-out;
}

@keyframes moveImage {
    0% {
      transform : translateX(0);
    }
    15% {
        transform : translateX(10px);
    }
    30% {
        transform : translateX(0);
    }
    50% {
        transform : translateX(0);
    }
    65% {
        transform : translateX(-10px);
    }
    80% {
        transform : translateX(0);
    }
}

/* 鼠标滚轮动画 */
.mouse {
    width:26px;
    position: fixed;
    top: 160px;
    left: 96vw;
    z-index: 9999;
}

.mouse::before {
    content: "";  
    position: absolute;  
    top: -3px;  
    left: 0;  
    height: 2px;  
    width: 24px;
    background-color: #7caad6;  
    transform: translateY(20px);
}

.mouse1 {
    width:22px;
    height:18px;
    border:2px solid #7caad6;
    border-bottom: 0;
    border-top-right-radius: 50%;
    border-top-left-radius: 50%;
}

.mouse2 {
    width:22px;
    height:18px;
    border:2px solid #7caad6;
    border-top: 0;
    border-bottom-right-radius: 50%;
    border-bottom-left-radius: 50%;
}

.mouse3 {
    background-color:#4788c7;
    position: absolute;
    height: 10px;
    width: 5px;
    left: 50%;
    top: 10%;
    transform: translateX(-50%);
    border-radius: 30%;
    animation: updown 2s infinite ease-in-out;;
}

@keyframes updown {
    0% {
        ransform : translate(-50%, 0);
    }
    40% {
        transform : translate(-50%, 3px);
    }
    80% {
        transform : translate(-50%, 0);
    }
}
